Bug 816476 - ping_pong test fails on nfs mount because nfs server contacting wrong volume from it's list of volumes.
ping_pong test fails on nfs mount because nfs server contacting wrong volume ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Vinayaga Raman
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-26 03:55 EDT by Shwetha Panduranga
Modified: 2014-03-30 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:42:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-04-26 03:55:15 EDT
Description of problem:
---------------------
nfs server always contacting the first volume in it's volume list even though the file operations is on other volumes.hence the ping_pong test failure. 

NFS Server logs:-
-----------------
[2012-04-26 12:59:41.984312] W [client3_1-fops.c:419:client3_1_open_cbk] 0-dstore-client-0: remote operation failed: No such file or directory. Path: /testing
[2012-04-26 12:59:41.984600] W [client3_1-fops.c:419:client3_1_open_cbk] 0-dstore-client-2: remote operation failed: No such file or directory. Path: /testing
[2012-04-26 12:59:41.984660] W [client3_1-fops.c:419:client3_1_open_cbk] 0-dstore-client-1: remote operation failed: No such file or directory. Path: /testing
[2012-04-26 12:59:41.984693] E [nlm4.c:1299:nlm4_lock_fd_resume] 0-nfs-NLM: Unable to resolve FH: (192.168.2.1:949) dstore1 : d23ed193-f6a7-45b6-b11d-ca082ed01cfc
[2012-04-26 12:59:41.984712] E [nlm4.c:1320:nlm4_lock_fd_resume] 0-nfs-NLM: unable to call lk()
[2012-04-26 12:59:41.996934] E [nlm4.c:1654:nlm4_unlock_resume] 0-nfs-NLM: fd_lookup_uint64() returned NULL
[2012-04-26 12:59:41.996987] E [nlm4.c:1661:nlm4_unlock_resume] 0-nfs-NLM: unable to unlock_fd_resume

Version-Release number of selected component (if applicable):
mainline

How reproducible:
often

Steps to Reproduce:
1.create a replicate volume (1x3) - vol1
2.create another replicate volume (1x2) - vol2
3.start vol1, vol2
4.create nfs mount for vol2
5.run "ping_pong -rw ./testing1 1000" from nfs mount

Actual results:
---------------
ping_pong fails reporting the following error message:-

unlock at 0 failed! - No locks available
unlock at 1 failed! - No locks available

Expected results:
------------------
ping_pong should not fail and nfs server should talk to vol2. 

Additional info:
------------------
[04/26/12 - 13:06:14 root@APP-SERVER1 ~]# gluster volume info
 
Volume Name: dstore
Type: Replicate
Volume ID: e4a0f94c-4801-4b79-a8f3-1d723fc6523b
Status: Started
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: 192.168.2.35:/export1/dstore1
Brick2: 192.168.2.36:/export1/dstore1
Brick3: 192.168.2.37:/export1/dstore1
 
Volume Name: dstore1
Type: Replicate
Volume ID: 45cb2e4c-c5b2-4d9c-b1fd-856b1d82bce1
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: 192.168.2.35:/export2/dstore1
Brick2: 192.168.2.36:/export2/dstore1
Comment 1 Anand Avati 2012-04-27 01:25:51 EDT
CHANGE: http://review.gluster.com/3233 (nlm: use correct subvolume when opening the file) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-05-04 04:47:15 EDT
Bug is fixed . verified on 3.3.0qa39

Note You need to log in before you can comment on or make changes to this bug.